<script setup>
import { ref, computed, watch, nextTick } from "vue";
import { onLoad, onShow, onLaunch } from "@dcloudio/uni-app";
import { useAppStore } from "@/stores/app";

const appStore = useAppStore();
// onLoad 接受 A 页面传递的参数
onLoad((option) => {
});

onShow(() => {
  // console.log("app 页面 onShow");
});

onLaunch(async () => {
  // console.log("app 页面 onLaunch");
	await appStore.GET_WX_CONFIG();
});
</script>

<style lang="scss">
@import "@/uni_modules/uview-plus/index.scss";
@import url("@/plugin/animate/animate.min.css");
@import "static/css/base.css";
@import "static/iconfont/iconfont.css";
@import "static/css/guildford.css";
@import "static/css/style.scss";
  /* 隐藏滚动条，但依旧具备可以滚动的功能 */
.uni-scroll-view::-webkit-scrollbar {
  display: none;
}
::-webkit-scrollbar {
  width: 0;
  height: 0;
  color: transparent;
}
</style>
